6 Replies Latest reply on Sep 14, 2005 1:13 PM by Bradley Smith

    Can't run a portlet in 2.2.0-ALPHA that worked in JP 2.0.1RC

    Jacek Laskowski Newbie

      Hi,

      Built JBoss Portal 2.2.0-ALPHA (JP 2.2) from its sources and tried to run a portlet that worked well in JP 2.0.1RC1. I know I don't provide much details, but perhaps you will figure out what might cause that it doesn't work.

      What details would you need to track it down?

      Jacek

        • 1. Re: Can't run a portlet in 2.2.0-ALPHA that worked in JP 2.0
          Viet Master

          the deployment descriptors portlet-instances.xml and xxx-portal.xml have changed, mostly the instance-ref and component-ref have changed because now it supposes that the components that could be referenced are in the same war file.

          • 2. Re: Can't run a portlet in 2.2.0-ALPHA that worked in JP 2.0
            Bradley Smith Master

            Hopefully you will provide migration tools and/or strategies for those of us who are actively using JBoss Portal 2.0 for real web applications.

            Thanks

            • 3. Re: Can't run a portlet in 2.2.0-ALPHA that worked in JP 2.0
              Viet Master

              I think the first wise step to do is to look at the document doctype in order to deploy only the documents which have the good doctype.

              But what do you call migration tool ? something that analiyze the deployment descriptor and rewrites it ? Perhaps you have some idea to share about that.

              • 4. Re: Can't run a portlet in 2.2.0-ALPHA that worked in JP 2.0
                Bradley Smith Master

                My first reply on this thread was because I am concerned about changes in how the values of these XML elements are being interpreted by the portal (if I understand what you mean in the following statements):


                the deployment descriptors portlet-instances.xml and xxx-portal.xml have changed, mostly the instance-ref and component-ref have changed because now it supposes that the components that could be referenced are in the same war file.


                Sounds to me like you are changing either these elements or the meaning of the values of these elements. If you are suggesting in this statement:


                I think the first wise step to do is to look at the document doctype in order to deploy only the documents which have the good doctype.


                that you would ignore ***-portal.xml and portlet-instances.xml that are based on the Portal 2.0 release, I don't think that's necessarily the best forward path - that basically means that portals built for 2.0 won't work in 2.2 out of the box. I think it's a better design approach to accomodate your current Portal 2.0 adopters by supporting current portal 2.0 descriptor usage; but you can add in additional XML elements and/or attributes that work specifically in 2.2. You could subsequently announce that the XML descriptors are changing and that in a future release (3.X?) only the 2.2-specific XML will be supported.

                I don't have an idea for a tool to migrate existing applications forward if the XML changes...that's why I hope (:D) you will provide either a tool or a strategy for migration if you choose to break 2.0 style descriptors.

                Thanks



                • 5. Re: Can't run a portlet in 2.2.0-ALPHA that worked in JP 2.0
                  Viet Master

                  I think a strategy could be :

                  if 2.0 -> translate values and possibly issue warnings that they should migrate
                  and print the right descriptor in the console

                  if 2.2 -> fine

                  • 6. Re: Can't run a portlet in 2.2.0-ALPHA that worked in JP 2.0
                    Bradley Smith Master



                    if 2.0 -> translate values and possibly issue warnings that they should migrate
                    and print the right descriptor in the console


                    This sounds good!

                    Thanks!